from django.conf.urls import patterns, url
from django.views.generic import DetailView
from coin.members import views
from coin.members.models import Member


urlpatterns = patterns(
    '',
    url(r'^$', views.index, name='index'),
    url(r'^login/$', 'django.contrib.auth.views.login',
        {'template_name': 'members/login.html'},
        name = 'login'),
    url(r'^logout/$', 'django.contrib.auth.views.logout_then_login',
        name = 'logout'),

    url(r'^info/$',views.infos,
        name='infos'),
    
    # url(r'^info/(?P<pk>\d+)/$',
    #     DetailView.as_view(
    #         model=Member,
    #         template_name='members/infos.html'),
    #     name='infos'),
    url(r'^abo/', views.index, name = 'abo'),
    url(r'^contact/', views.index, name='contact')
)
